/*
 * Created on Aug 22, 2005
 *
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 675 Mass
 * Ave, Cambridge, MA 02139, USA.
 * 
 * History
 * v1.0 - Aug 22, 2005 - Initial Release
 */

import java.io.IOException;
import java.io.FileNotFoundException;
import java.io.DataInputStream;
import java.io.FileInputStream;

class d
{
	public static void main(String[] argv) throws IOException, FileNotFoundException
	{
		byte[] b;
		char[] compressed;
		
		if (argv.length == 2) {
			DataInputStream in = new DataInputStream(new FileInputStream(argv[0]));
			LESimpleDataOutputStream out = new LESimpleDataOutputStream(argv[1]);
			
			b = new byte[in.available()];
			in.read(b);
			in.close();

			compressed = LZ77.Compress(b);

			out.writeBytes(compressed);

			out.close();
		}
	}
}
